function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("e")
    std.create_shell("s")

    std.create_2x2_door("y_neg", "r_green", "e")

    create_rect("s", 6,6,7, 8,8,7)
    add_bent(7,8,8, "bent_base_ring_green")
    set_pos(7,6,7, "r_expander")
    set_pos(7,6,8, "grow")
    --
    --The block_forest script can be found
    --in "Floor3/CubesSmart".
    set_pos(7,7,8, "block_forest")
    
    local msg_str = "When a chunk is generated, it also has access to "
        .. "the block variables of its PARENT chunk.\n\n"
        .. "Also, when a chunk is being generated, it can set the block "
        .. "variables of the block that is the chunk.\n\n"
        .. "This can be used to make a forest type block that keeps "
        .. "track of how deep you are. "
        .. "Try shrinking here several times to see that the "
        .. "trees get more dense. "
    add_bent_s(7,7,10,"bent_base_txt",msg_str)
end
